{% extends 'frontBase.html.twig' %}

{% block title %}
    {{ user.name }}
{% endblock %}

{% block body %}
    <div class="wrapper image-wrapper bg-image page-title-wrapper inverse-text" data-image-src="{{ asset('style/images/art/bg3.jpg') }}">
        <div class="container inner text-center">
            <div class="space90"></div>
            <h1 class="page-title">{{ user.name }}</h1>
            <p class="lead">Aenean lacinia bibendum nulla sed consectetur</p>
        </div>
    </div>

    <div class="wrapper light-wrapper">
        <div class="container inner">
            <div class="row">
                {% for product in products %}
                    <div class="item item-detailed grid-sizer col-md-6 col-lg-4">
                        <div class="box bg-white shadow p-30" style="min-height: 580px;">
                            <figure class="main rounded mb-30">
                                <div class="item-detailed-image">
                                    <a href="{{ path('front_provider_product_show', {slug: product.slug, id: product.id, provider: product.user.slug}) }}">
                                        {% if product.images is not empty %}
                                            <img src="{{ asset(product.images[0].publicPath) }}" alt="">
                                        {% else %}
                                            <span style="text-align: center; background: #ccc; color: #999; height: 0; width: 100%; display: block; padding-top: 100%; position: relative;">
                                                <span style="position: absolute; top: 50%;left: 50%;transform: translate(-50%, -50%)">Pas d'image disponible</span>
                                            </span>
                                        {% endif %}
                                    </a>
                                </div>
                                <a href="#" data-id="{{ product.spSku }}" class="hover-icon-second" data-tip="Ajouter au devis"><i class="jam jam-plus"></i></a>
                            </figure>
                            <div class="item-content">
                                <h2 style="min-height: 96px;display: flex;align-items: center;" class="post-title mb-10"><a href="{{ path('front_provider_product_show', {slug: product.slug, id: product.id, provider: product.user.slug}) }}">{{ product.shortName }}</a></h2>
                                <div class="price mb-0">
                                <span class="amount">
                                    {{ product.shortDescription }}[...]
                                </span>
                                </div>
                                {#<span class="ratings four"></span>#}
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>

    <a href="#" style="display: none;" id="modalToggle" data-toggle="modal" data-target="#modal-04"></a>
    <div id="modal-04" tabindex="-1" role="dialog" aria-labelledby="modal-04" class="modal fade" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
            <div class="modal-content">
                <div class="box p-30">
                    <div class="row">
                        <div class="col-md-12 my-auto">
                            <div class="media align-items-center">
                                <div class="media-body text-center">
                                    <h4 class="mb-10">Produit ajouté au devis !</h4>
                                    <p>Le produit a été ajouté à votre devis</p>
                                    <a href="#" class="btn" data-dismiss="modal" aria-label="Close">Je continue ma liste</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

